Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.tooling.model
[Java] Interface Task

    public interface Task

Represents a task which is executable by Gradle.

Method Summary
`String` | `getDescription()` Returns the description of this task, or `null` if it has no description.
`String` | `getName()` Returns the name of this task.
`String` | `getPath()` Returns the path of this task.
`Element` | `getProject()` Returns the element which this task belongs to.

Method Detail

### getDescription

    @Nullable
    public String getDescription()

  Returns the description of this task, or `null` if it has no description.
  Returns:
    The description of this task, or `null` if it has no description.

### getName

    public String getName()

  Returns the name of this task. Note that the name is not necessarily a unique identifier for the task.
  Returns:
    The name of this task.

### getPath

    public String getPath()

  Returns the path of this task. This is a fully qualified unique name for this task.
  Returns:
    The path of this task.

### getProject

    public Element getProject()

  Returns the element which this task belongs to.
  Returns:
    The element which this task belongs to.

Gradle API 1.1-rc-1